/////////////////////////////////////////////////////////////////////////////
// Name:        V1724_board.h
// Purpose:     
// Author:      NDA
// Modified by: 
// Created:     04/03/06 14:18:40
// RCS-ID:      
// Copyright:   CAEN S.p.A All rights reserved.
// Licence:     
/////////////////////////////////////////////////////////////////////////////

#ifndef _V1724_BOARD_H_
#define _V1724_BOARD_H_

#if defined(__GNUG__) && !defined(__APPLE__)
#pragma interface "V1724_board.cpp"
#endif

/*!
 * Includes
 */

extern "C" 
{
	#include "CAENVMETool/cvt_v1724.h"
}
#include "generic_board.h"

class AppSettings;

class V1724Board :	public GenericBoard
{
public:
	V1724Board( int board_index, void (* scope_refresh)( bool), wxMutex *p_data_mutex, AppSettings* p_app_settings);
	~V1724Board( void);

	//
	// Pure virtual implememtation
	wxString GetType() { return _("V1724");};
	bool Open( long vme_handle);
	GenericBoardChannel* CreateChannel( int ch_index, void (* scope_refresh)( bool), wxMutex *p_data_mutex);
	bool WriteSampleBufferSize( void);
	bool WriteTriggerMode( bool started);
	bool WriteSoftwareTrigger( void);
	bool SetFrontPanelIO( bool use_TTL);

	bool Init( void);

};


#endif	// _V1724_BOARD_H_

