/////////////////////////////////////////////////////////////////////////////
// Name:        V1724_board_channel.h
// Purpose:     
// Author:      NDA
// Modified by: 
// Created:     04/03/06 14:18:40
// RCS-ID:      
// Copyright:   CAEN S.p.A All rights reserved.
// Licence:     
/////////////////////////////////////////////////////////////////////////////

#ifndef _V1724_BOARD_CHANNEL_H_
#define _V1724_BOARD_CHANNEL_H_

#if defined(__GNUG__) && !defined(__APPLE__)
#pragma interface "V1724_board_channel.cpp"
#endif

/*!
 * Includes
 */

#include "generic_board_channel.h"

class AppSettings;

class V1724BoardChannel: public GenericBoardChannel
{
public:
	V1724BoardChannel( int ch_index, cvt_board_data* p_data, void (* scope_refresh)( bool), wxMutex *p_data_mutex, AppSettings* p_app_settings);
	~V1724BoardChannel(void);
	//
	// Properties

	//
	// Methods

	// Pure virtual 
	bool ReadSamples( bool do_record);
	bool WriteDACOffset( void);
	bool WriteChannelTrigger( void);

protected:

};


#endif	// _V1724_BOARD_CHANNEL_H_
